Planned
- Request status tracking for “Mem It” operations
- Support for “apply a template” via the “Mem It” endpoint
2026-04-01
- Updated
POST /v2/notesso caller-providedidvalues are create-only; duplicate IDs now return409 Conflictinstead of upserting the existing note.
2026-03-25
- Added date-range filters to
/v2/notes(list):filter_by_created_after,filter_by_created_before,filter_by_updated_after,filter_by_updated_before. - Updated
/v2/notesso multiplefilter_by_contains_*filters are combined using OR semantics (list endpoint). - Added date-range filtering for
/v2/notes/searchusingfilter_by_created_after,filter_by_created_before,filter_by_updated_after, andfilter_by_updated_beforeparams.
2026-03-19
- Updated
/v2/notes/searchso multiplefilter_by_contains_*filters are combined using OR semantics
2025-12-09
- Added complexity-based rate limiting for resource-intensive endpoints
- API responses now include rate limit headers (
X-RateLimit-*,X-Complexity-*)
2025-11-17
- Added support for filtering by tasks, images, and files
2025-10-31
- Added support for listing and searching notes
- Added support for listing and searching collections
- Clarified size-limits for request inputs
2025-06-03
- Release of our
/v2series of API endpoints- “Mem It” is now asynchronous by default, and features much more robust error handling
- Added support for reading note content
- Added support for creating and deleting collections
- Improved rate-limiting using the Leaky Bucket algorithm
2025-03-31
- Initial community release of our
/v1API endpoints- Added support for “Mem It”
- Added support for creating and deleting notes
This changelog tracks significant updates to the Mem API and documentation. For the most current information, refer to the API reference documentation.